# Generated from jekyll-bootstrap-theme-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jekyll-bootstrap-theme

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: A Bootstrap 5 theme for Jekyll
License: MIT
URL: https://github.com/jonaharagon/jekyll-bootstrap-theme
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 2.7.0
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(webrick) >= 1.7
# BuildRequires: rubygem(webrick) < 2
BuildArch: noarch

%description
A basic but extensible Jekyll theme based on Bootstrap 5,
with support for GitHub Pages and Bootstrap Icons.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/_includes
%{gem_instdir}/_layouts
%{gem_instdir}/_sass
%{gem_instdir}/assets
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 1.1.0-1
- Initial package
